Bug 146857 - diffstat interprets '--' in removed line as header line
diffstat interprets '--' in removed line as header line
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: diffstat (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-01 22:32 EST by Eli
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 1.38-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-02 08:19:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eli 2005-02-01 22:32:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
This is fixed in a newer upstream version.

Changelog excerpt:
16-Dec-2004
	diffstat 1.37

	fix a different case for data beginning with "--" which was treated as
	a header line.

The latest version is 1.38.

Please update diffstat to latest upstream version for bugfixes.

Version-Release number of selected component (if applicable):
diffstat-1.31-5

How reproducible:
Always

Steps to Reproduce:
1. Create a diff that deletes a line starting with "-- whatever"
2. Run diffstat on that file
3. Note how it comes up with a bogus file entry.
    

Actual Results:  3. Note how it comes up with a bogus file entry.


Expected Results:  3. Should show just the one file.

Additional info:

This is fixed in the latest upstream version.
Comment 1 Tim Waugh 2005-02-02 08:19:37 EST
Thanks.

Note You need to log in before you can comment on or make changes to this bug.